commit 868df76e68037977e906e41689ecb654e806bf53
Author: freddy77 <freddy77>
Date:   Fri Aug 14 13:53:16 2009 +0000

    use pkg-config instead of libgnutls-config if possible

diff --git a/ChangeLog b/ChangeLog
index 36883c7..16197e5 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Aug 14 15:53:01 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac:
+	- use pkg-config instead of libgnutls-config if possible
+
 Fri Jul 24 17:06:23 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/token.c: fix Sybase LONGCHAR/LONGBINARY
 
@@ -1708,4 +1712,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2836 2009/07/24 15:06:51 freddy77 Exp $
+$Id: ChangeLog,v 1.2837 2009/08/14 13:53:16 freddy77 Exp $
diff --git a/configure.ac b/configure.ac
index a705473..28bc9d7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
 dnl Process this file with autoconf to produce a configure script.
 
 dnl ------------------------------------------------------------
-dnl $Id: configure.ac,v 1.40 2009/02/27 10:11:42 freddy77 Exp $
+dnl $Id: configure.ac,v 1.41 2009/08/14 13:53:17 freddy77 Exp $
 dnl If you're trying to create a new configure test, try
 dnl
 dnl 	http://autogen.sourceforge.net/conftest.html
@@ -15,7 +15,7 @@ dnl ------------------------------------------------------------
 AC_INIT(FreeTDS, 0.83.dev.esyscmd(echo -n $(date +"%Y%m%d")))
 AC_CONFIG_SRCDIR(src/dblib/dblib.c)
 AC_PREREQ(2.53)
-AC_REVISION($Revision: 1.40 $)
+AC_REVISION($Revision: 1.41 $)
 
 AM_INIT_AUTOMAKE
 AC_CONFIG_HEADERS(include/config.h)
@@ -105,8 +105,9 @@ fi
 
 # See if we have doxygen installed
 AC_CHECK_PROG(DOXYGEN,doxygen,doxygen)
-AC_CHECK_PROG(ODBC_CONFIG,odbc_config,odbc_config)
 AM_CONDITIONAL(HAVE_DOXYGEN, [test -n "$DOXYGEN"])
+AC_CHECK_PROG(ODBC_CONFIG,odbc_config,odbc_config)
+AC_CHECK_PROG(PKG_CONFIG,pkg-config,pkg-config)
 
 # ------------------------------------------------------------
 # Check for CVS-only sources.
@@ -657,8 +658,13 @@ AC_ARG_WITH(gnutls,
 AS_HELP_STRING([--with-gnutls], [build with TLS support]))
 if test "$with_gnutls" = "yes"; then
 	AC_DEFINE(HAVE_GNUTLS, 1, [Define to 1 if you have GNU tls.])
-	CPPFLAGS="$CPPFLAGS `libgnutls-config --cflags`"
-	NETWORK_LIBS="$NETWORK_LIBS `libgnutls-config --libs`"
+	if test "$PKG_CONFIG" != "" && "$PKG_CONFIG" --libs gnutls > /dev/null 2>&1; then
+		CPPFLAGS="$CPPFLAGS `$PKG_CONFIG --cflags gnutls`"
+		NETWORK_LIBS="$NETWORK_LIBS `$PKG_CONFIG --libs gnutls`"
+	else
+		CPPFLAGS="$CPPFLAGS `libgnutls-config --cflags`"
+		NETWORK_LIBS="$NETWORK_LIBS `libgnutls-config --libs`"
+	fi
 else
 	CHECK_OPENSSL
 fi

